| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.ImageProperties Class Reference
Inheritance diagram for iolink.iolink.ImageProperties:

## Public Member Functions
| __init__ (self, *args)
| to_string (self)
| clone (self)
| get_calibration (self)
| get_image_info (self)
| is_compatible_with (self, shape, type)
| __eq__ (self, other)
| set_calibration (self, calibration)
| set_image_info (self, imageInfo)
| __repr__ (self)

## Static Public Member Functions
| from_data_type (dataType)
| from_properties (*args)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| calibration = property(get_calibration, set_calibration, doc=get_calibration.__doc__)
| image_info = property(get_image_info, set_image_info, doc=get_image_info.__doc__)

## Detailed Description

    Hold additionnal info for ImageView data interpretation.

## Member Function Documentation

## ◆ __eq__()

iolink.iolink.ImageProperties.__eq__ | ( |  | self,
|  |  | other
| ) |  |

    Equality operator

## ◆ clone()

iolink.iolink.ImageProperties.clone | ( |  | self | ) |

    Create a copy of the properties instance.

## ◆ from_data_type()

iolink.iolink.ImageProperties.from_data_type | ( |  | dataType | ) |
| static

        Create a property set with all values defaulted, according to a data type.

        :type dataType: :py:class:`DataType`
        :param dataType: DataType used to build default ImageProperties

        Warning: In order to build ImageProperties compatible with a specific ImageView,
        given dataType must be retrieved from this ImageView.

## ◆ from_properties()

iolink.iolink.ImageProperties.from_properties | ( | * | args | ) |
| static

        *Overload 1:*

        Build a ImageProperties from a set of properties.

        :type calibration: :py:class:`SpatialCalibrationProperty`
        :param calibration: SpatialCalibrationProperty to use
        :type imageInfo: :py:class:`ImageInfoProperty`
        :param imageInfo: ImageInfoProperty to use
        :rtype: :py:class:`ImageProperties`
        :return: ImageProperties built from given calibration and imageInfo properties

        |

        *Overload 2:*

        Build a ImageProperties by copying properties from another, except the calibration.

        :type properties: :py:class:`ImageProperties`
        :param properties: original ImageProperties to modify with calibration properties
        :type calibration: :py:class:`SpatialCalibrationProperty`
        :param calibration: SpatialCalibrationProperty to set into given ImageProperties
        :rtype: :py:class:`ImageProperties`
        :return: new ImageProperties built from given ones and calibration

        |

        *Overload 3:*

        Build a ImageProperties by copying properties from another, except the Image info.

        :type properties: :py:class:`ImageProperties`
        :param properties: original ImageProperties to modify with ImageInfo properties
        :type imageInfo: :py:class:`ImageInfoProperty`
        :param imageInfo: ImageInfoProperty to set into given ImageProperties
        :rtype: :py:class:`ImageProperties`
        :return: new ImageProperties built from given ones and imageInfo

## ◆ get_calibration()

iolink.iolink.ImageProperties.get_calibration | ( |  | self | ) |

    Return the calibration associated with these properties.

## ◆ get_image_info()

iolink.iolink.ImageProperties.get_image_info | ( |  | self | ) |

    Return the image information associated with these properties.

## ◆ is_compatible_with()

iolink.iolink.ImageProperties.is_compatible_with | ( |  | self,
|  |  | shape,
|  |  | type
| ) |  |

        Check if the current properties are compatible with given shape and type
        :type shape: :py:class:`VectorXu64`
        :param shape: shape of an ImageView
        :type type: :py:class:`DataType`
        :param type: type of an ImageView
        :rtype: boolean
        :return: TRUE if shape and type are compatible with ImageView

## ◆ to_string()

iolink.iolink.ImageProperties.to_string | ( |  | self | ) |

    Return string representation

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py